summaryrefslogtreecommitdiff
path: root/debian/sync-httpd.prerm
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-09-17 00:21:00 +0200
committerChristian Grothoff <christian@grothoff.org>2021-09-17 00:21:00 +0200
commit80fe273ef5d46e0d242017a5d1a04a5bd933c3d7 (patch)
tree2c2a0f5d512908ffbf11efb7a37e66f29eab669e /debian/sync-httpd.prerm
parent03bfa07732db97dfaa61b103e2cb30c08805d425 (diff)
downloadsync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.tar.gz
sync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.tar.bz2
sync-80fe273ef5d46e0d242017a5d1a04a5bd933c3d7.zip
initial debian package
Diffstat (limited to 'debian/sync-httpd.prerm')
-rw-r--r--debian/sync-httpd.prerm16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/sync-httpd.prerm b/debian/sync-httpd.prerm
new file mode 100644
index 0000000..24bed99
--- /dev/null
+++ b/debian/sync-httpd.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
+fi
+. /usr/share/dbconfig-common/dpkg/prerm
+
+if [ -f /usr/share/dbconfig-common/dpkg/prerm.pgsql ]; then
+ . /usr/share/dbconfig-common/dpkg/prerm.pgsql
+ dbc_go sync-httpd "$@"
+fi
+
+db_stop
+exit 0